package DataOfWildCard.DataOfWildCardJ.DataOfRank1;

import DataOfWildCard.DataOfWildCardJ.DataOfRank1.DataOfRankType4.*;

/**
 * author:gongyu
 * description:only one
 */
public class DataOfType4 {
    long [][][][] DoT4= new long [13][][][];
    DataOfRankType4_1 DoRT4_1 = new DataOfRankType4_1();
    DataOfRankType4_2 DoRT4_2 = new DataOfRankType4_2();
    DataOfRankType4_3 DoRT4_3 = new DataOfRankType4_3();
    DataOfRankType4_4 DoRT4_4 = new DataOfRankType4_4();
    DataOfRankType4_5 DoRT4_5 = new DataOfRankType4_5();
    DataOfRankType4_6 DoRT4_6 = new DataOfRankType4_6();
    DataOfRankType4_7 DoRT4_7 = new DataOfRankType4_7();
    DataOfRankType4_8 DoRT4_8 = new DataOfRankType4_8();
    DataOfRankType4_9 DoRT4_9 = new DataOfRankType4_9();
    DataOfRankType4_10 DoRT4_10 = new DataOfRankType4_10();
    DataOfRankType4_11 DoRT4_11 = new DataOfRankType4_11();
    DataOfRankType4_12 DoRT4_12 = new DataOfRankType4_12();
    DataOfRankType4_13 DoRT4_13 = new DataOfRankType4_13();

    public DataOfType4(){
        DoT4[0]=DoRT4_1.DoRT4_1;
        DoT4[1]=DoRT4_2.DoRT4_2;
        DoT4[2]=DoRT4_3.DoRT4_3;
        DoT4[3]=DoRT4_4.DoRT4_4;
        DoT4[4]=DoRT4_5.DoRT4_5;
        DoT4[5]=DoRT4_6.DoRT4_6;
        DoT4[6]=DoRT4_7.DoRT4_7;
        DoT4[7]=DoRT4_8.DoRT4_8;
        DoT4[8]=DoRT4_9.DoRT4_9;
        DoT4[9]=DoRT4_10.DoRT4_10;
        DoT4[10]=DoRT4_11.DoRT4_11;
        DoT4[11]=DoRT4_12.DoRT4_12;
        DoT4[12]=DoRT4_13.DoRT4_13;
    }

}
